最近更新

JPush iOS SDK v3.3.6

更新时间

  • 2020-08-28

Change Log

  • 适配 iOS 14
  • 修复已知问题

升级提示

  • 建议升级,本次升级 JPush 版本,需添加 StoreKit.framework 库支持(如果缺少)

升级指南

  • 从 3.3.6 版本开始,需添加 StoreKit.framework 库支持(如果缺少)
  • 从历史 3.3.4 版本开始,需要 2.3.2 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从历史 3.3.2 版本开始,需要 2.2.4 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从历史 3.3.0 版本开始,需添加 WebKit.framework 库支持(如果缺少)
  • 从历史 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.3.4

更新时间

  • 2020-07-15

Change Log

  • 优化长连接逻辑

升级提示

  • 建议升级,本次升级 JPush 版本请同步升级 JCore 到 2.3.2 及以上版本!

升级指南

  • 从历史 3.3.4 版本开始,需要 2.3.2 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从历史 3.3.2 版本开始,需要 2.2.4 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从历史 3.3.0 版本开始,需添加 WebKit.framework 库支持(如果缺少)
  • 从历史 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.3.3

更新时间

  • 2020-05-11

Change Log

  • 优化通知撤回功能

升级提示

  • 建议升级!

升级指南

  • 从历史 3.3.2 版本开始,需要 2.2.4 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从历史 3.3.0 版本开始,需添加 WebKit.framework 库支持(如果缺少)
  • 从历史 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.3.2

更新时间

  • 2020-03-27

Change Log

  • Alias 绑定的设备数量超限时将返回错误码 6027
  • 新增 VOIP 功能支持,要求 JCore 是 v2.2.4 及以上版本
    • 新增如下接口:
    • (void)registerVoipToken:(NSData *)voipToken;
    • (void)handleVoipNotification:(NSDictionary *)remoteInfo;

升级提示

  • 建议升级,升级 JPush SDK 时需同步升级 JCore SDK 至 v2.2.4 及以上版本

升级指南

  • 从 3.3.2 版本开始,需要 2.2.4 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 从 3.3.0 版本开始,需添加 WebKit.framework 库支持(如果缺少)
  • 从 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.3.0

更新时间

  • 2020-02-18

Change Log

  • 支持富媒体推送

升级提示

  • 建议升级!

升级指南

  • 从 3.3.0 版本开始,需添加 WebKit.framework 库支持(如果缺少)
  • 从 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.8

更新时间

  • 2019-12-10

Change Log

  • 新增 API 接口,支持通知开关检测和引导设置功能
  • 支持通知远程撤销功能
  • 修复已知问题

升级提示

  • 建议升级!

升级指南

  • 从 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.6

更新时间

  • 2019-10-11

Change Log

  • 针对默认获取 IDFA 版本和不获取 IDFA 版本功能进行逻辑优化,统一放到 JCore 处理
  • 修复已知问题

升级提示

  • 建议升级!

升级指南

  • 从 3.2.6 版本开始,默认获取 IDFA 的处理已经统一放到 JCore 处理,本次版本升级时请注意按照文档操作:集成指南
  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.4

更新时间

  • 2019-09-12

Change Log

  • 修复已知问题
  • 更新 Push Example 应用 Logo

升级提示

  • 建议升级!

升级指南

  • 从历史 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 从历史 3.2.2 版本的 JPush 开始,需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.2

更新时间

  • 2019-07-31

Change Log

  • 提供获取IDFA版本和不获取IDFA版本,供开发者选择
  • 修复已知问题

升级提示

  • 建议升级!

升级指南

  • 3.2.2 版本开始,默认的标准包是获取IDFA版本,需添加 AdSupport.framework 库支持(如果缺少)
  • 3.2.2 版本的 JPush 需要 2.1.1 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.1

更新时间

  • 2019-06-11

Change Log

  • 地理围栏新增回调及删除功能
  • 修复已知bug

升级提示

  • 建议升级!

升级指南

  • 3.2.1 版本的 JPush 只支持 2.0.0 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 添加libresolv.tbd库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。

JPush iOS SDK v3.2.0

更新时间

  • 2019-04-28

Change Log

  • 根据JCore 2.0进行JPush重构,性能优化
  • JCore 要求版本在2.0以上
  • 删除了setupWithOption:launchingOption 初始化接口,不再支持pushConfig.plist方式集成
  • 优化消息状态上报逻辑
  • 修复已知bug

升级提示

  • 建议升级!

升级指南

  • 3.2.0 版本的 JPush 只支持 2.0.0 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.1.2 版本的 JPush 只支持 1.2.6 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.1.1 版本的 JPush 只支持 1.2.3 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 添加libresolv.tbd库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。
    • Info.plist file 文件中加入 NSLocationAlwaysUsageDescription 这个字段的描述,避免上架AppStore被拒

JPush iOS SDK v3.1.2

更新时间

  • 2018-12-18

Change Log

  • 新增地理围栏功能

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。
  • 需要在Info.plist file文件中加入 NSLocationAlwaysUsageDescription 这个字段的描述,避免上架被拒

升级指南

  • 3.1.2 版本的 JPush 只支持 1.2.6 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.1.1 版本的 JPush 只支持 1.2.3 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 添加libresolv.tbd库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC
  • 使用地理围栏功能时涉及以下相关配置:
    • 位置权限配置。
    • 选择Background Modes配置。 target -> capabilities ->Background Modes 选中Location updates。
    • 注意registerLbsGeofenceDelegate: withLaunchOptions 方法最好在sdk初始化之前调用。
    • Info.plist file 文件中加入 NSLocationAlwaysUsageDescription 这个字段的描述,避免上架AppStore被拒

JPush iOS SDK v3.1.1

更新时间

  • 2018-10-17

Change Log

  • 适配 iOS12 通知新特性
  • 修复 bug

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.1.1 版本的 JPush 只支持 1.2.3 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 添加libresolv.tbd库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.1.0

更新时间

  • 2018-07-18

Change Log

  • 修改本地通知部分设置问题
  • 修复设置手机号码回调问题
  • 修复 tag 相关异常问题

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.1.0 版本的 JPush 只支持 1.1.9 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为 i386 的模拟器。
  • 添加libresolv.tbd库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.9

更新时间

  • 2018-04-08

Change Log

  • 使用 iOS 自定义消息不必再依赖 APNs Token 注册成功;
  • 将 iOS 自定义消息的 message id 回调给开发者;

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.0.9 版本的 JPush 只支持 1.1.9 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0及以上版本 JPush SDK 将不再支持处理器为i386的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.8

更新时间

  • 2018-01-11

Change Log

  • SDK 端新增绑定手机号的 api 用于短信补充功能;
  • 在 Service Extension 中增加日志开关;
  • 修复若干已知问题;

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.0.8 版本的 JPush 只支持 1.1.7 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为i386的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.7

更新时间

  • 2017-10-12

Change Log

  • 新增 iOS Extension sdk ,用来统计通知的送达情况
  • 优化 sdk 内部代码

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.0.7 版本的 JPush 只支持 1.1.6 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 3.0.7 版本开始压缩包中 Lib 新增了 Notification Service Extension SDK ,可用于统计通知送达,开发者请注意添加到 Libs 中,使用方式见集成指南。
  • 注意 3.0.0 及以上版本 JPush SDK 将不再支持处理器为i386的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.6

更新时间

  • 2017-07-03

Change Log

  • Tag 接口变动,建议使用新的增删改查接口
  • 优化连接协议,提高连接速度及稳定性

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 3.0.6 版本的 JPush 只支持 1.1.5 及以上的 JCore 版本,升级 SDK 的时候请将 JCore 一起升级。
  • 注意 3.0.0及以上版本将不再支持处理器为 i386 的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.5

更新时间

  • 2017-04-14

Change Log

  • 修改 Bug,提高与其他 SDK 兼容稳定性

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 注意 3.0.0 及以上版本将不再支持处理器为 i386 的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.3

更新时间

  • 2017-04-01

Change Log

  • 优化:socket connect 机制
  • 修复:SDK HTTP 上报偶然崩溃的问题,增强健壮性

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 注意 3.0.0 及以上版本将不再支持处理器为 i386 的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和. h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h )
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.2

更新时间

  • 2017-02-13

Change Log

  • 修复:DNS 解析失败带来的崩溃问题,提升稳定性


升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+N种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 注意 3.0.0 及以上版本将不再支持处理器为 i386 的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.1

更新时间

  • 2017-01-09

Change Log

  • 修复:已知bug。
  • 优化:运行性能。


升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 注意 3.0.0 及以上版本将不再支持处理器为 i386 的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的.a和.h文件,重新导入新的.a和.h文件(注意新版本替换APService.h为JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v3.0.0

更新时间

  • 2016-12-02

Change Log

  • 新增:模块化分离为 JCore,JPush 两部分,支持与极光统计 SDK 集成。

升级提示

  • 建议升级!
  • 注意:不支持 Xcode 8.0 以下版本 开启 bitcode。
  • 极光开发者服务 SDK 采用了模块化的使用模式,即一个核心(JCore)+ N 种服务(JPush,JAnalytics,...)的使用方式,方便开发者使用某一项服务或多项服务,极大的优化了多模块同时使用时功能模块重复的问题。

升级指南

  • 注意 3.0.0 及以上版本将不再支持处理器为i386的模拟器。
  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.2.0

更新时间

  • 2016-10-20

Change Log

  • 修复已知 bug,运行更稳定。
  • 传输消息加密,信息更安全。
  • 优化版本信息上报、日志打印等,设计更合理。
  • 优化 IPv6 等网络处理,连接更可靠。

升级提示

  • 建议升级!
  • 注意:添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)

升级指南

  • 添加 libresolv.tbd 库,否则编译运行会报错(2.2.0 及以上版本要求)
  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.9

更新时间

  • 2016-09-07

Change Log

  • 新增:全面支持 iOS 10 新特性。
  • 修复 bug:增加 SDK 的稳定性。
  • 优化改进:新增获取 registrationID 的接口,TagAlias 支持设置特殊字符。
  • 优化改进:SDK 全部使用 HTTPS 链接。

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.8

更新时间

  • 2016-06-21

Change Log

  • 优化 IPv6 网络下的通信机制。
  • 支持 Tag 的数量到 1000 个,但总长度不能超过 7000 字节。
  • 统计上报升级为 https 上报。
  • 优化增加 SDK 稳定性。

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.7

更新时间

  • 2016-05-26

Change Log

  • 新增:对 IPv6 网络的支持。
  • 优化改进:改善用户备份 app,还原到新设备 RegistrationID 不变的问题。
  • 修复:SDK 存在的偶然崩溃问题。
  • 优化改进:使用页面时长统计信息。

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.6

更新时间

  • 2016-04-13

Change Log

  • 修复: 2.1.5 版本在模拟器调试运行报错的问题。

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.5

更新时间

  • 2016-04-07

Change Log

  • 功能增加:增加 IDFA(广告标识符)设置接口。开发者可通过上传 IDFA 值增加统计准确性。极光SDK不包含主动调用获取 IDFA 的代码。
  • 优化改进:修复 SDK 偶然崩溃的问题,增强健壮性。

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v2.1.0

更新时间

  • 2016-01-12

Change Log

主要对 iOS 9 适配支持。

  • 功能增加:增加 bitcode 支持
  • 优化改进:Demo 增加 iPhone 6 和 6plus 支持
  • 优化改进:APService 变更为 JPUSHService
  • 功能增加:增加 appKey 和 channel 通过代码初始化 API
  • 优化改进:优化网路差环境 DNS 解析超时时间过长
  • 优化改进:修复注册时没有获取到 RegistrationID 的 bug
  • 优化改进:静态库文件名由 "libPushSDK-x.x.x.a" 变更为 "jpush-ios-x.x.x.a"

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件:先删除项目里旧的 .a 和 .h 文件,重新导入新的 .a 和 .h 文件(注意新版本替换 APService.h 为 JPUSHService.h)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v1.8.8

更新时间

  • 2015-10-27

Change Log

  • 功能修正:修复了 1.8.7 在开启 bitcode 时,archive 编译失败的问题

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件
  • 删除项目里旧的 .a 文件,重新导入新的 .a 文件(特别留意)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v1.8.7

更新时间

2015-10-20

Change Log

  • 功能改进:增加对 iOS 9 新特性 bitcode 的支持

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件
  • 删除项目里旧的 .a 文件,重新导入新的 .a 文件(特别留意)
  • Xcode 7 环境下,替换原先导入的 libz.dylib 框架为 libz.tbd (特别留意)
  • 需要删除旧的 libPushSDK-Simulator.a (如果存在)
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v1.8.5

更新时间

2015-07-30

Change Log

  • 修复 Bug:解决与第三方库冲突引起的编译出错.

升级提示

  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.8.4

更新时间

2015-07-17

Change Log

  • 优化改进:改进域名劫持导致的无法登陆服务器

升级提示

  • 可选升级!

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.8.3

更新时间

2015-03-25

Change Log

  • Bug 修复:修复少数情况下 cpu 升至 100% 的问题
  • Bug 修复:有极低几率写入文件 Crash
  • 优化改进:正式弃用 OpenUDID 接口

升级提示

可选升级!

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.8.2

更新时间

2014-12-11

Change Log

  • 优化改进:修复一些可能引起崩溃问题
  • 优化改进:修复部分情况下获取不到 RegistrationID 的问题

升级提示

建议升级!

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.8.1

更新时间

2014-09-23

Change Log

  • 优化改进:修改与部分第三方 SDK 变量冲突问题
  • 优化改进:修复 iOS 5 版本 Demo 按钮异常

升级提示

建议升级。

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.8.0

更新时间

2014-09-19

Change Log

  • 新增功能:增加 iOS 8 支持
  • 新增功能:增加本地推送 API
  • 新增功能:增加地理位置信息上报
  • 新增功能:增加崩溃日志上报
  • 新增功能:增加日志等级修改
  • 优化改进:修改上报重试机制
  • 优化改进:修复 setTagAlias 时回调类被释放时崩溃 bug
  • 优化改进:全新的参考 Demo

升级提示

建议升级。

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.7.4

更新时间

2014-08-06

Change Log

新增功能:增加设置 badge 值更新到 JPush 服务器功能。 此 SDK 版本配合服务器端推送通知 badge +1 功能使用,实现群推 iOS 通知时 badge 值各用户不同的值。 升级提示 建议升级。

升级指南 替换 lib 文件夹里的文件 .a 文件为新版本; 替换 lib 文件夹里的文件 .h 文件为新版本; 工程添加 libz.dylib、Security.framework 两个库; 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.7.3

更新时间

2014-07-24

Change Log

  • 优化改进:配合 API V3,更好的支持自定义消息的解析。

升级提示

建议升级。

升级指南

  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 替换 lib 文件夹里的文件 .h 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.7.2

更新时间

2014-11-07

Change Log
  • 新增特性:新增对 arm64 架构的支持。
  • 优化改进:全面优化 SDK 架构,后台运行时会保持短时间网络连接。
  • 优化改进:将专门针对 simulator 的 x86 架构库统合并为一个文件,方便管理。
升级提示
  • 本SDK支持 iOS 5.0 及以上版本
  • 建议升级!
升级指南
  • 替换 lib 文件夹里的文件
  • 需要删除旧的 libPushSDK-Simulator.a
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification

JPush iOS SDK v1.7.1

更新时间

2014-07-24

Change Log
  • 修复 BUG:修复 target->general 页面的 version 为空会导致 crash 的问题;
  • 修复 BUG:修复开发者打包静态库包含 JPush iOS SDK 并且 XCode 为 5.0 版本时,会出现编译错误的问题。
升级提示

可选升级。

升级指南
  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库;
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.7.0

更新时间

2014-09-17

Change Log
  • 新增功能:支持 RegistrationID 推送;
  • 新增功能:增加页面统计上报;
  • 修复 BUG:修复上个版本在特定情况下崩溃的 BUG。
升级提示

建议升级

升级指南
  • 替换 lib 文件夹里的文件 .a 文件为新版本;
  • 工程添加 libz.dylib、Security.framework 两个库
  • 新版本不再需要 libPushSDK-Simulator.a 。如果你的老版本 SDK 包含此文件,请删除。

JPush iOS SDK v1.6.3

更新时间

2014-07-01

Change Log

  • 优化改进:bug fix

升级提示

  • 本 SDK 支持 iOS 5.0 及以上版本
  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件
  • 需要删除旧的 libPushSDK-Simulator.a
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v1.6.2

更新时间

2014-01-15

Change Log

  • 优化改进:调整 SDK 网络策略,适应不稳定的网络互通环境

升级提示

  • 本 SDK 支持 iOS 5.0 及以上版本
  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件
  • 需要删除旧的 libPushSDK-Simulator.a
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC

JPush iOS SDK v1.6.0

更新时间

2014-02-25

Change Log

  • 新增特性:新增对 arm64 架构的支持。
  • 优化改进:全面优化 SDK 架构,后台运行时会保持短时间网络连接。
  • 优化改进:将专门针对 simulator 的 x86 架构库统合并为一个文件,方便管理。

升级提示

  • 本 SDK 支持 iOS 5.0 及以上版本
  • 建议升级!

升级指南

  • 替换 lib 文件夹里的文件
  • 需要删除旧的 libPushSDK-Simulator.a
  • 如果是 1.2.7 及之前版本升级 请在 Build Settings 里面,找到 Other Linker Flags,去掉 -all_load, -ObjC
  • 关于 iOS 7 Background Push,JPush 提供一个教程文档:iOS 7 Background Remote Notification

Copyright 2011-2020, jiguang.cn, All Rights Reserved.
粤ICP备12056275号-13 深圳市和讯华谷信息技术有限公司

Documentation built with MkDocs.